/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
/* global utils */
(function() {
	"use strict";

	window.LayoutManager.transin = function (element, container, transInType, transInDuration, transInDirection, callback) {
	    if (transInType === "fadeIn") {
	        utils.fadeIn(element,parseInt(transInDuration), function() { callback(); });
	    } else if (transInType === "fadeOut") {
	        utils.fadeOut(element,parseInt(transInDuration), function() { callback(); });
	    } else if (transInType === "fly") {
	        element.style.position = "absolute";
	        var position = {
	            top: parseInt(element.style.top),
	            left: parseInt(element.style.left)
	        };
	        var top = position.top;
	        var left = position.left;
	        if (transInDirection.indexOf("S") >= 0) {
	            top = "-" + (utils.getElementHeight(element) + parseInt(container.style.top));
	        }
	        if (transInDirection.indexOf("N") >= 0) {
	            top = utils.getElementHeight(container.parentElement);
	        }
	        if (transInDirection.indexOf("E") >= 0) {
	            left = "-" + (utils.getElementWidth(element) + parseInt(container.style.left));
	        }
	        if (transInDirection.indexOf("W") >= 0) {
	            left = utils.getElementWidth(container.parentElement);
	        }
	        element.style.top = top;
	        element.style.left = left;
	        utils.show(element);
	        //jQueryWebOs(element).animate({left: position.left + "px", top: position.top + "px"}, parseInt(transInDuration), 'swing', function() { callback(); });        
	        utils.animate(element,{left: position.left, top: position.top}, parseInt(transInDuration),function() { callback(); });
	    }
	};
}());
